Skip to content

Get a run with the full step timeline

GET
/v1/workflows/runs/{runId}
curl --request GET \
--url https://your-notavia-host/v1/workflows/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
runId
required
string format: uuid

Run detail with step timeline returned.

Media type application/json
object
id
required
string format: uuid
workflow_key
required
string
version
required
integer
status
required
string
Allowed values: pending running waiting completed failed cancelling cancelled
current_step_id
string
nullable
trigger_data
required

Raw JSON string of the trigger payload.

string
source
required
string
Allowed values: Production Test
created_at
required
string format: date-time
completed_at
string format: date-time
nullable
failure_reason
string
nullable
steps
required
Array<object>
object
step_id
required
string
kind
required
string
Allowed values: send delay branch digest wait_for_event cancel noop
attempt_id
required
integer
status
required
string
Allowed values: running waiting completed failed cancelled
outcome
string
nullable
Allowed values: sent suppressed branched delayed event_received timed_out failed cancelled noop
notification_id
string format: uuid
nullable
output_json

JSON snapshot of the step output captured at completion.

string
nullable
next_step_id
string
nullable
next_scheduled_at
string format: date-time
nullable
started_at
required
string format: date-time
completed_at
string format: date-time
nullable
Example
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_key": "invoice_paid",
"version": 3,
"status": "Waiting",
"current_step_id": "step_wait_payment",
"trigger_data": "{\"invoice_id\":\"inv_42\",\"user\":{\"external_user_id\":\"usr_1\"}}",
"source": "Production",
"created_at": "2026-05-30T14:22:11Z",
"completed_at": null,
"failure_reason": null,
"steps": [
{
"step_id": "step_in_app",
"kind": "Send",
"attempt_id": 1,
"status": "Completed",
"outcome": "Sent",
"notification_id": "1fa85f64-5717-4562-b3fc-2c963f66afa7",
"output_json": "{\"id\":\"1fa85f64-5717-4562-b3fc-2c963f66afa7\",\"status\":\"Sent\",\"sent_at\":\"2026-05-30T14:22:12Z\"}",
"next_step_id": "step_wait_read",
"next_scheduled_at": null,
"started_at": "2026-05-30T14:22:12Z",
"completed_at": "2026-05-30T14:22:12Z"
}
]
}

Missing or invalid credentials.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Credentials do not have the required scope.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Resource not found.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}